public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/upx/
Date: Tue,  1 Nov 2022 18:49:03 +0000 (UTC)	[thread overview]
Message-ID: <1667328492.f14c66d1ae4971049e399e4396eba1992f434b5c.conikost@gentoo> (raw)

commit:     f14c66d1ae4971049e399e4396eba1992f434b5c
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Nov  1 12:31:38 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Nov  1 18:48:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f14c66d1

app-arch/upx: fix running tests (#878977)

Tests should runs sequentially since there no dependencies for each test
step.

Closes: https://bugs.gentoo.org/878977
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/28076
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-arch/upx/upx-4.0.0.ebuild | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/app-arch/upx/upx-4.0.0.ebuild b/app-arch/upx/upx-4.0.0.ebuild
index dcfcfaccee67..45118519051f 100644
--- a/app-arch/upx/upx-4.0.0.ebuild
+++ b/app-arch/upx/upx-4.0.0.ebuild
@@ -13,6 +13,15 @@ S="${WORKDIR}/${P}-src"
 LICENSE="GPL-2+ UPX-exception" # Read the exception before applying any patches
 SLOT="0"
 KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
 
 RDEPEND="!app-arch/upx-bin"
 BDEPEND="app-arch/xz-utils[extra-filters]"
+
+src_test() {
+	# Don't run tests in parallel, #878977
+	cd "${BUILD_DIR}" || die
+	ctest || die
+}


             reply	other threads:[~2022-11-01 18:49 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-01 18:49 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-26 13:13 [gentoo-commits] repo/gentoo:master commit in: app-arch/upx/ Eli Schwartz
2024-08-26 13:13 Eli Schwartz
2024-08-17 21:50 Mike Gilbert
2024-04-11 22:16 Yixun Lan
2024-04-11 22:16 Yixun Lan
2024-03-16  9:09 Joonas Niilola
2024-03-16  9:09 Joonas Niilola
2024-01-07  0:20 Conrad Kostecki
2024-01-07  0:20 Conrad Kostecki
2023-12-24 17:21 Arthur Zamarin
2023-12-24  1:02 Sam James
2023-08-10  6:56 Conrad Kostecki
2023-02-22  6:09 Sam James
2023-02-22  6:09 Sam James
2023-02-20 19:45 John Helmert III
2023-01-20  1:23 Sam James
2023-01-15 20:34 Sam James
2023-01-15 20:34 Sam James
2023-01-08  6:59 Joonas Niilola
2022-12-31 13:02 Arthur Zamarin
2022-12-25 22:02 Mike Gilbert
2022-11-28  7:11 Joonas Niilola
2022-11-01 20:26 Sam James
2022-10-31 22:51 Conrad Kostecki
2021-06-29 11:24 Ben Kohler
2021-05-23 16:53 Andreas Sturmlechner
2021-03-27 14:26 Conrad Kostecki
2020-08-24 23:47 Sam James
2020-08-24  1:58 Sam James
2020-05-13 13:43 Joonas Niilola
2020-02-25  6:05 Joonas Niilola
2020-02-25  6:05 Joonas Niilola
2020-02-25  6:05 Joonas Niilola
2019-08-08 18:21 Joonas Niilola
2019-08-08 18:21 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1667328492.f14c66d1ae4971049e399e4396eba1992f434b5c.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox